import 'dart:async';

import 'package:flutter/services.dart';

class Flutterscanovateplugin {
  static const MethodChannel _channel =
      const MethodChannel('flutterscanovateplugin');

  /// get the platform version.
  ///

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  /// Call the scanovate API.
  ///
  /// @param verification verification field.
  /// @param documentType the documentType field.
  /// @param documentType the productId field.
  /// @param documentType the showLevelerUI field.
  /// @param documentType the projectName field.
  /// @param documentType the apiKey field.
  /// @param documentType the urlSdk field.
  /// @param documentType the documentNumber field.
  /// @param documentType the codeFinger field.
  /// @returns The response in json string format.

  static Future<String> callScanovate(
      bool verification,
      String documentType,
      int productId,
      bool showLevelerUI,
      String projectName,
      String apiKey,
      String urlSdk,
      String documentNumber,
      String codeFinger) async {
    final String response = await _channel.invokeMethod('callScanovate', {
      "data": {
        'documentType': documentType,
        'productId': productId,
        'show_LevelerUI': showLevelerUI,
        'projectName': projectName,
        'apiKey': apiKey,
        'urlSdk': urlSdk,
        'documentNumber': documentNumber,
        'individualCodeFinger': codeFinger,
        'verification': verification
      }
    });
    return response;
  }
}
